PC-DMIS Inspection Planner

More:

Inspection Planner: Introduction

U sing PC-DMIS Inspection Planner for CATIA V5

Using PC-DMIS Inspection Planner for SolidWorks

Using PC-DMIS Inspection Planner for Unigraphics

Using Inspection Planner within PC-DMIS

I mporting the Inspection Plan

P erforming the Path Optimization

Dual Arm Path Optimization

Path Optimization Summary

Void Detection

Automatically Inserting Move Commands

Inspection Planner Parameters and Rules

C reating and Modifying an Inspection Planner Default (IPD) file

Inspection Planner Rules (IPR) script

Appendix A: IP - Constructed Features

Appendix B: Using the Generic Parser to Import ASCII Files


Inspection Planner: Introduction

PC-DMIS™ Inspection Planner (IP) works in conjunction with your CAD software package and PC-DMIS to aid the Design Engineer or Quality Engineer in designing a plan that determines which features of the geometry and GD&T/dimension to use in the inspection process.

Inspection Planner (IP) uses the PC-DMIS CAD engine, providing access to IGES, STEP, and the other translators, as well as PC-DMIS’s supported Direct CAD Interfaces™. This gives you wide coverage of available CAD engines and systems. You can save the Inspection Plan directly into a CAD file or you can output it to a text file. PC-DMIS then imports the plan and automatically generates a part program from it for either a CMM or CNC machine tool for in-process inspection.

Inspection Planner supports these CAD packages:

  • CATIA V5

  • SolidWorks

  • Unigraphics

This help file will walk you through the steps to get IP running with your CAD package and will discuss how to use IP commands inside PC-DMIS to automatically generate the PC-DMIS part program.

This documentation covers these topics:

  • Using PC-DMIS Inspection Planner for CATIA V5

  • Using PC-DMIS Inspection Planner for SolidWorks

  • Using PC-DMIS Inspection Planner for Unigraphics

  • Using Inspection Planner within PC-DMIS

  • Inspection Planner Parameters and Rules


Using PC-DMIS Inspection Planner for CATIA V5

This topic describes how to install and use PC-DMIS Inspection Plan within CATIA V5. IP allows you to perform various sub tasks needed to create an Inspection Plan that you can either store with your CAD data or export as a text file.

The Inspection Planner option must be enabled on your portlock to use the Inspection Planner capabilities for CATIA 5.

More:

Installing Inspection Planner for CATIA V5

To start the PC-DMIS Inspection Plan application

IP_Tools Toolbar

IP_Features Toolbar

IP_Commands Toolbar

Editing your Inspection Plan in CATIA 5


Installing Inspection Planner for CATIA V5

  1. Log on to the Wilcox ftp site: ftp.wilcoxassoc.com. Browse to the Inspection Planner/CatiaV5/ directory. Download the required CATIA V5 Inspection Planner install file. Download the InspectionPlanner_CATIA_V5_R13.exe for CATIA V5 version 13 for CATIA V5 release 13 or InspectionPlanner_CATIA_V5_R14.exe for CATIA V5 release 14 to a specified directory on your hard drive.

  2. Double-click on the InspectionPlanner_CATIA_V5_R1X.exe for CATIA V5 version 13 or 14 file to begin the installation of IP for CATIA V5

  3. The Setup program will prompt you to select the location of the CATIA V5 installation directory. Browse to the CATIA installation directory (e.g. C:\Program Files\Dassault Systemes\B14), and click OK.

  4. You will then be prompted to select the location of the PC-DMIS installation directory. Browse to the PC-DMIS installation directory, and click OK.

  5. The Setup program will then prompt you to select the location where PC-DMIS Inspection Planner for CATIA V5 will be installed. The default directory might look something like this: C:\PCDMISW\InspectionPlanner\CatiaV5.

  6. Next, setup will prompt you to verify the location of the CATIA install and the directory for the IP installation.

  7. Click OK if everything is correct.

  8. The Setup program now copies files for PC-DMIS Inspection Planner for CATIA V5 to this newly created directory.

The Setup program will check to see if the needed file structure and files for CATIA V5 are properly installed in the directory you previously specified. An error will occur if the files do not exist. If everything installs correctly, then an InspectionPlannerTest shortcut will be added to the desktop.

Important: The new shortcut must be used to start CATIA V5 to set up the proper environment for Inspection Planner to work within your CATIA V5 install.


To start the PC-DMIS Inspection Plan application

To start a PC-DMIS Inspection Plan session from within your CATIA V5 session, follow this procedure:

  1. Start CATIA V5 using the InspectionPlanner_R** shortcut which should be on the desktop. You must use this shortcut rather than the regular CATIA V5 shortcut for Inspection Planner to work correctly

  2. Within CATIA’s Product Structure or Part Design workbenches, you should see three new toolbars; IP_Tools, IP_Features, and IP_Commands.

IP Toolbars for CATIA V5

Once you have started the PC-DMIS Inspection Planner application, you may create, list, and edit IP features, commands, and Inspection Plans.

More:

IP_Tools Toolbar

IP_Features Toolbar

IP_Commands Toolbar


IP_Tools Toolbar

The IP_Tools toolbar contains a number of miscellaneous tools for use in creating, editing, exporting, and using Inspection Plans.

More:

Creating a New Inspection Plan

Changing the order of the Items in a Plan

Exporting a Plan to a File

Updating Features

Activating a Plan


Creating a New Inspection Plan

To create a new PC-DMIS Inspection Plan, follow this procedure:

  1. Select the New Inspection Plan icon on the toolbar.

  2. The Plan dialog box appears.

Plan dialog box

  3. Type a name for the Plan in the Label box.

  4. Click OK to save the Plan’s name. This creates a new InspectionPlanner node in the feature tree. This node has two children, Plans and IP Features. The new plan is placed under the Plans node.

CATIA Feature tree


Changing the order of the Items in a Plan

To change the order of the commands in a selected plan, follow this procedure:

  1. Select the Reorder Commands icon on the toolbar.

  2. The Re-Order Commands dialog box appears.

Re-Order Commands dialog box

  3. Select the plan to edit from the Plan drop-down list.

  4. All the items in the plan will appear in the list.

  5. To change the order of the items, select an item, and the click the up arrow to move it up in the list, or click the down arrow to move it down in the list.

  6. Select the OK button to apply the changes to the plan.


Exporting a Plan to a File

To Export a previously created Inspection Plan for use within PC-DMIS, follow this procedure:

  1. Select the Text Output icon on the toolbar.

  2. The Plan Selection dialog box appears.

Plan Selection dialog box

  3. Select the plan to export.

  4. Click the OK button. A standard Windows Save File dialog box appears.

Windows save file dialog box

  5. Browse to the location where you would like to save the file. Type a name for the Inspection Planner file in the File name box

  6. Click Save to export the file. This text file can be imported into PC-DMIS. See “Importing the Inspection Plan”.


Updating Features

Select the Update icon on the toolbar. This will update all of the features if the model geometry or assembly has changed.


Activating a Plan

To ensure that all Features or Commands are added to the appropriate plan, follow these steps:

  1. Select the Activate Plan icon on the toolbar.

  2. Select a plan from the feature tree (As discussed in “Creating a New Inspection Plan”).

  3. The selected plan is now the active plan.


IP_Features Toolbar

Using the IP_Features toolbar you can create and add features to an existing plan. Or, if you don’t have a plan yet, you can create a feature and IP will automatically create a new plan for you.

Once you have created a new Inspection Plan, you can create features for that Inspection Plan. The general method of creating features is as follows:

  1. From the IP_Features toolbar, select the feature type you want to create (listed below). A dialog box, specific to the feature you selected, appears. Inspection Planner supports the following features:

    • Point

    • Line

    • Edge Point

    • Plane

    • Cylinder

    • Sphere

    • Circle

    • Round Slot

    • Square Slot

  2. Using the mouse, select the face, edge, or vertex from the CAD display that will be used for the feature. You may be asked to select with the mouse again, depending on the type of feature you are defining and the CAD object first selected. The Open Feature dialog box will display the correct values provided from the CAD data. You can edit these values as needed.

  3. Click the OK button to accept your changes and create the feature. This feature will be added to the IP Features node in the Inspection Planner tree as well as to the currently active plan.

If no plan has been created, then creating any feature or command will automatically create a new plan and place that feature or command in that plan.


Creating a Point Feature

  1. Select the Point icon on the toolbar.

  2. The IP Point Feature dialog box appears.

  3. Indicate the location of the point feature by clicking on any surface. The X, Y, and Z values for the selected point appear in the dialog box.

IP Point Feature dialog box

  4. Change the Label for the point if needed.

  5. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  6. Change the values for the XYZ coordinates and the IJK vector values as needed.

  7. Selecting Reverse will reverse the direction of the vector.

  8. If you select the constrain to geometry check box, IP will tie this feature to the selected geometry. If the geometry changes, then so will the feature.

  9. If you change the values, then the values no longer reflect the model geometry. You must either select the Find Point button to find the closest point on the geometry, or deselect the constrain to geometry check box before you can create the point.

  10. Click OK to accept the current values and add the point feature to the current Inspection Plan.


Creating a Line Feature

  1. Select the Line icon on the toolbar.

  2. The IP Line Feature dialog box appears.

  3. Indicate the location of the start point of the line feature by clicking the first point on any surface. IP inserts that start point location into the dialog box.

  4. Indicate the location of the end point of the line feature by clicking a second point on any surface. IP inserts that end point location into the dialog box.

IP Line Feature dialog box

  5. Change the Label for the line if needed.

  6. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  7. Change the values for the XYZ coordinates and the IJK vector values as needed.

  8. Selecting Reverse will reverse the direction of the vector.

  9. If you select the constrain to geometry check box, IP will tie this feature to the selected geometry. If the geometry changes, then so will the feature.

  10. If you change the values, then the values no longer reflect the model geometry. You must either select the find button to find the closest point on the geometry, or deselect the constrain to geometry check box before you can create the line.

  11. Click OK to accept the current values and add the line feature to the current Inspection Plan.


Creating an Edge Point Feature

  1. Select the Edge Point icon on the toolbar.

  2. The IP Edge Feature dialog box appears.

  3. Indicate the location of the edge point feature by clicking on any surface near an edge. The point will snap to the nearest edge of the surface. IP inserts the point’s location into the dialog box.

IP Edge Feature dialog box

  4. Change the Label for the edge point if needed.

  5. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  6. Change the values for the XYZ coordinates and the IJK vector values as needed.

  7. Selecting Reverse will reverse the direction of the vector.

  8. If you select the constrain to geometry check box, IP will tie this feature to the selected geometry. If the geometry changes, then so will the feature.

  9. If you change the values, then the values no longer reflect the model geometry. You must either select the find point button to find the closest point on the geometry, or deselect the constrain to geometry check box before you can create the point.

  10. Click OK to accept the current values and add the edge point feature to the current Inspection Plan.


Creating a Plane Feature

  1. Select Plane icon on the toolbar.

  2. The IP Plane Feature dialog box appears.

  3. Indicate the location of the plane feature by clicking any surface. IP inserts the plane’s location and vector data into the dialog box.

IP Plane Feature dialog box

  4. Change the Label for the plane if needed.

  5. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  6. Change the values for the XYZ coordinates and the IJK vector values as needed.

  7. Selecting Reverse will reverse the direction of the vector.

  8. If you select the constrain to geometry check box, IP will tie this feature to the selected geometry. If the geometry changes, then so will the feature.

  9. If you change the values, then the values no longer reflect the model geometry. You must either select the find button to find the closest point on the geometry, or deselect the constrain to geometry check box before you can create the plane.

  10. Click OK to accept the current values and add the plane feature to the current Inspection Plan.


Creating a Cylinder Feature

  1. Select the Cylinder icon on the toolbar.

  2. The IP Cylinder Feature dialog box appears.

  3. Indicate the location of the cylinder feature by clicking the cylindrical surface of a cylinder. IP inserts the cylinder’s origin and axis into the dialog box.

IP Cylinder feature dialog box

  4. Change the Label for the cylinder if needed.

  5. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  6. Select either an Internal Cylinder or External Cylinder.

  7. Change the values for the XYZ coordinates and the IJK vector values as needed.

  8. Selecting Reverse will reverse the direction of the vector.

  9. Specify the Diameter and Length of the cylinder.

  10. Specify the Top Offset. The Top Offset value will increase or decrease the length of the cylinder on the end where the vector is defined. A positive value will increase the length of the cylinder in the direction of the vector.

  11. Specify the Bottom Offset. The Bottom Offset value will increase or decrease the length of the cylinder on the opposite end from where the vector is defined. A positive vector will decrease the length of the cylinder in the direction of the vector.

  12. If you select the constrain to geometry check box, IP will tie this feature to the selected geometry. If the geometry changes, then so will the feature.

  13. If you change the values, then the values no longer reflect the model geometry. You must deselect the constrain to geometry check box before you can create the cylinder.

  14. Click OK to accept the current values and add the cylinder feature to the current Inspection Plan.


Creating a Sphere Feature

  1. Select the Sphere icon on the toolbar.

  2. The IP Sphere Feature dialog box appears.

  3. Indicate the location of the sphere by selecting a circular edge or spherical face of the sphere. IP calculates the sphere’s location and vector from where you clicked.

IP Sphere feature dialog box

  4. Change the Label for the sphere if needed.

  5. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  6. Select either an Internal or External Sphere.

  7. Change the values for the XYZ coordinates and the IJK vector values as needed.

  8. Specify the Diameter of the sphere.

  9. If you select the constrain to geometry check box, IP will tie this feature to the selected geometry. If the geometry changes, then so will the feature.

  10. If you change the values, then the values no longer reflect the model geometry. You must deselect the constrain to geometry check box before you can create the sphere.

The vector is never tied to the geometry, and can be modified while keeping the sphere constrained to the model geometry. Therefore, constraining to geometry has not effect on Vector values.

  11. Click OK to accept the current values and add the sphere feature to the current Inspection Plan.


Creating a Circle Feature

  1. Select the Circle icon on the toolbar.

  2. The IP Circle Feature dialog box appears.

  3. Indicate the location of the circle feature by clicking a circular edge or cylindrical surface of the circle feature. IP inserts the circle’s axis and center into the dialog box.

IP Circle feature dialog box

  4. Change the Label for the circle if needed.

  5. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  6. Select either an Internal or External Circle.

  7. Change the values for the XYZ coordinates and the IJK vector values as needed.

  8. Selecting Reverse will reverse the direction of the vector.

  9. Specify the Diameter and Offset. The Offset value will transform the center of the circle along the feature's vector by the specified positive or negative amount.

  10. If you select the constrain to geometry check box, IP will tie this feature to the selected geometry. If the geometry changes, then so will the feature.

  11. If you change the values, then the values no longer reflect the model geometry. You must deselect the constrain to geometry check box before you can create the circle.

  12. Click OK to accept the current values and add the circle feature to the current Inspection Plan.


Creating Round or Square Slot Features

  1. Select the Round Slot [image] or Square Slot [image] icon on the toolbar.

  2. The IP Slot Feature dialog box appears. The selected slot type will be selected based on the icon that was clicked. You can change the slot type inside the dialog box as well.

  3. Indicate the location of the slot by selecting the face that the slot is cut out of. Select near the edge of the slot. IP will insert the location and vector data into the dialog box.

IP Slot Feature dialog box

  4. Change the Label for the slot if needed.

  5. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  6. Select either Round or Square Slot.

  7. Change the values for the XYZ coordinates and the IJK vector values as needed.

  8. Selecting Reverse will reverse the direction of the vector.

  9. Specify the Width and Length of the slot.

  10. Select either Internal or External Slot.

  11. If you select the constrain to geometry check box, IP will tie this feature to the selected geometry. If the geometry changes, then so will the feature.

  12. If you change the values, then the values no longer reflect the model geometry. You must deselect the constrain to geometry check box before you can create the slot.

  13. Click OK to accept the current values and add the slot feature to the current Inspection Plan.


IP_Commands Toolbar

Using the IP_Commands toolbar, you can create, translate and rotate alignments. Adding location dimensions and constructed features as well as inserting comments into your part program is also done from the IP_Commands Toolbar.

More:

Creating Alignments

Translating Alignments

Rotating Alignments

Creating Location Dimensions

Inserting Comments

Constructing Features

Adding an Existing Feature to the Current Plan


Creating Alignments

Once you have created your features, you can create or modify alignments.

  1. Select the Alignment icon on the toolbar.

  2. The IP Alignment Command dialog box appears.

IP Alignment Command dialog box

  3. If needed, type an ID for this alignment in the Label box.

  4. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  5. In the Primary alignment area, indicate the axis you want to Level to for the primary alignment IP Feature. Select the proper axis in the drop-down list. The default axis is +Z.

  6. Next, select the primary alignment IP Feature by selecting the label for it from the model window or by selecting it from the feature tree.

  7. In the Secondary alignment section, indicate the axis to Rotate to and the axis to rotate About for the secondary alignment IP feature. Select the proper axes in the drop-down lists.

  8. Select the secondary alignment IP Feature by selecting the label for it in the model window or by selecting it in the feature tree.

  9. As you select the primary and secondary IP features, they are also set, as appropriate, in the X, Y, and Z Origin boxes.

  10. You can change any of the IP features by first selecting the edit box for that feature and then selecting a new IP feature.

  11. Click OK to accept the current values and add the IP Alignment command to the current Inspection Plan.


Translating Alignments

You can translate (or move) your Inspection Plan’s current alignment by an offset distance.

  1. Select the Translation icon on the toolbar.

  2. The IP Translation Command dialog box appears.

IP Translation Command dialog box

  3. If needed, type an ID for the alignment you want to translate in the Label box.

  4. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  5. Type the values for the translation along the X, Y, and Z axes in the X, Y, and Z Axis boxes.

  6. Click OK to accept the current values and add the IP translation command to the current Inspection Plan’s alignment.


Rotating Alignments

You can rotate your Inspection Plan’s current alignment by a specified angle.

  1. Select the Rotation icon on the toolbar.

  2. The IP Rotation Command dialog box appears.

IP Rotation Command dialog box

  3. If needed, type an ID for the alignment you want to rotate in the Label box.

  4. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  5. Type the angle of the rotation in the Angle box.

  6. Select the axis (X, Y, or Z) you want to rotate about in the Axis box.

  7. Click OK to accept the current values and add the IP Rotation command to the current Inspection Plan.


Creating Location Dimensions

If you want to create a location dimension for any feature, you can use the Location icon.

  1. Select the Location icon on the toolbar.

  2. The IP Location Command dialog box appears.

IP Location Command dialog box

  3. If needed, type an ID for this location in the Label box.

  4. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  5. Select the IP feature to be used for this IP Location from the model window or by selecting it from the feature tree. It will appear in the Feature box. Additionally, the appropriate default axes will be selected. For example, if an IP point is selected, then the X, Y, Z, and T Vector axes will be selected.

  6. For each axis selected, type appropriate positive and negative tolerances. There is a different set of positive and negative tolerances for each axis. Select the needed Axis from the drop-down box and change the values in the + Tol and –Tol boxes.

  7. If the same tolerances are wanted for more than one axis, click the Set Tolerance to ALL button. This sets the specified tolerances for all selected axes.

  8. If more than one IP Location command will be created, then click the Set Default Tolerances button. This sets the default tolerances for all axes to the currently specified values. Next time a new IP Location is created, it will start out with the default tolerance values that were set.

  9. Click OK to accept the current values and add the IP Location command to the current Inspection Plan.


Inserting Comments

Comments come in three types: Operator, Programmer, or Report. This allows you to insert a specific type of comment into your Inspection Plan, providing instructions to operators, programmer notes, or notes that will show up on your Inspection Plan reports.

  1. Select the Comment icon on the toolbar.

  2. The IP Comment Command dialog box appears.

IP Comment Command dialog box

  3. If needed, type an ID for this comment in the Label box. The default is C1 meaning the first comment in the plan. Additional comments will be C2, C3, etc. Modify these comment labels as needed.

  4. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  5. Edit the comment in the Comment box.

  6. Select the type of comment to create (Operator, Programmer, or Report) from the Type box.

  • Operator comments appear as message boxes whenever the resulting part program is executed. They are useful for giving instructions to the operator at the measuring machine.

  • Programmer comments will not be visible to the operator in the resulting part program. But if someone opens up the part program and looks at the code they will be able to see the programmer comments.

  • Report comments send the specified comments into the report that gets generated once the part program finishes execution.

  7. Click OK to accept the current values and add the IP Comment command to the current Inspection Plan.


Constructing Features

If you want to construct features from other features, you can use the Construction icon.

  1. Select the Construction Feature icon on the toolbar.

  2. The IP Construction Feature Command dialog box appears.

IP Construction Feature dialog box

  3. If needed, type an ID for this constructed feature in the Label box.

  4. Select the needed plan from the Plans section of the InspectionPlanner Node in the feature tree. The selected plan is displayed in the Insert In Plan box.

  5. Select the IP features to be included in this construction feature from the model window or by selecting them from the feature tree. As you select features, IP adds them to the IP Features list. To remove a feature from the list, select that feature in the list, and then click the Remove Feature button.

  6. Select the feature type to construct from the Feature Type drop down list and select the type of operation to be performed for that feature from the Operation drop down list.

See “Appendix A: Constructed Features” for more information about the construction operations that can be performed and the related feature types that can be created.

  7. Click OK and the constructed feature will be added to the Inspection Plan.


Adding an Existing Feature to the Current Plan

To add an existing CATIA V5 feature to the active Inspection Plan, follow these steps:

  1. Select the Feature icon on the toolbar. No dialog box appears.

  2. Select the IP feature to be added to the Inspection Plan from the model window, or select it from the feature tree.


Editing your Inspection Plan in CATIA 5

To edit commands of your Inspection Plan you have already created you will need to use the feature tree for CATIA 5. This will allow you to go back and make changes to the values of your Inspection Plan.

You can also use the Reorder Commands button to change the order of the commands in your Inspection Plan.

To Edit your Inspection Plan:

  1. Double-click on any of the features in the IP Features list, or Alignments, Translations, Rotations, Locations, Comments, or Constructions in the Plan list.

Note: You may also double-click on the feature label in the graphics display to edit the values.

  2. Edit values in the applicable dialog box to the needed values. For example, edit the nominal information in the Circle Feature dialog box for a Circle.

  3. Click OK to save the changed values or click Cancel to abort any changes that have been made.

  4. Click the Reorder Commands button [image] to change the order of commands in your Inspection Plan. See the "Changing the order of the Items in a Plan" topic for more information.

  5. To rename the plan, double-click the Plan name and change the name in the Plan dialog box. Click OK to save.

  6. Click the Text Output button [image] to save your changed Inspection Plan. See the " Exporting a Plan to a File" topic for more information.


Using PC-DMIS Inspection Planner for SolidWorks

This topic describes how to install and use PC-DMIS Inspection Planner with SolidWorks. It shows how to perform various sub tasks needed to create an Inspection Plan that you can either store with your CAD data or export as a text file.

The Inspection Planner option must be enabled on your portlock to use the Inspection Planner capabilities for SolidWorks.

More:

Installing Inspection Planner for SolidWorks

To start the PC-DMIS Inspection Plan application

Creating Features

Constructing Datum Features

Creating Alignments

Constructing GD&T Features

Creating Location Dimensions

Constructing Features

Inserting Comments


Installing Inspection Planner for SolidWorks

  1. Log on to the Wilcox ftp site: ftp.wilcoxassoc.com. Browse to the InspectionPlanner/SolidWorks directory. Enter the directory of the desired version and download the install executable, Install_PCDMIS_xxx_IPSolidWorks.exe, file to a specified directory on your hard drive.

  2. Double-click on the downloaded .exe file to begin the installation of IP for SolidWorks

  3. The Setup program will then prompt you to select the location where to install PC-DMIS Inspection Planner for SolidWorks. The default directory might look something like this; C:\PCDMISW\InspectionPlanner\SolidWorks.

  4. The Setup program will then copy files for PC-DMIS Inspection Planner for SolidWorks to this newly created directory.

The Setup program will verify that the needed file structure and files for SolidWorks are installed where you previously specified. An error will occur if the files do not exist.


To start the PC-DMIS Inspection Plan application

To start a PC-DMIS Inspection Plan session from within your SolidWorks session, follow this procedure:

  1. Start SolidWorks.

  2. Open the SolidWorks Add-Ins dialog box by selecting Tools | Add-Ins…

  3. Ensure that the PC-DMIS Inspection Planner check box gets selected.

  4. Click OK to activate Inspection Planner inside SolidWorks.

SolidWorks Add-Ins dialog box.

  5. There should now be an Inspection Planner menu option in the SolidWorks menu bar.

Inspection Planner in SolidWorks toolbar.

Once you have started the PC-DMIS Inspection Planner application, you may create, list, and edit IP features, commands, and Inspection Plans.

More:

Inspection Planner Menu Items

Creating a New Inspection Plan

Deleting the Inspection Plan

Showing the current Inspection Plan

Exporting the current Plan to a File


Inspection Planner Menu Items

Selecting the Inspection Planner menu in the SolidWorks menu bar displays the Inspection Planner sub-menus and menu items. These menu items contain the tools for creating, editing, exporting, and using Inspection Plans.

Inspection Planner menus


Creating a New Inspection Plan

To create a new PC-DMIS Inspection Plan, follow this procedure:

  1. Select New from the Inspection Planner menu.

  2. IP displays a check mark in front of the New menu item indicating that an Inspection Plan exists in the SolidWorks part.

Inspection Plan exists.

If a plan already exists in the SolidWorks part, you will be asked if you want to replace the existing plan.


Deleting the Inspection Plan

To delete the current Inspection Plan from the SolidWorks part:

  1. Select Delete from the Inspection Planner menu.

  2. IP deletes the current Inspection Plan.


Showing the current Inspection Plan

To display the current Inspection Plan in the SolidWorks part:

  1. Select Show Plan in the Inspection Planner menu.

  2. The Inspection Plan dialog box appears.

Show Inspection Plan dialog box

  3. You can edit the Inspection Plan using this dialog box.

  • Insert After – Select a line in the plan, and click the Insert After button. This sets the insertion point in the plan. IP inserts all new objects after this line.

  • Edit – Select a line in the plan, and click the Edit button. IP displays the dialog box for that object, allowing you to edit its contents

  • Delete – Select a line in the plan, and click the Delete button. IP deletes the selected line from the plan.

  • Close – Selecting the Close button closes the Inspection Plan dialog box.


Exporting the current Plan to a File

To Export the current Inspection Plan for use within PC-DMIS, follow this procedure:

  1. Select Export from the Inspection Planner menu. The Save As dialog box appears.

Save As dialog box.

  2. Browse to the location where you would like to save the file. Specify a name for the Inspection Planner file in the File name box.

  3. Click Save to export the file. This text file can then be imported into PC-DMIS. See “Importing the Inspection Plan”.


Creating Features

Once you have created a new Inspection Plan, you can create features for that Inspection Plan. To create features, use this general method:

  1. From the Inspection Planner menu, select the Feature sub-menu, and then select the feature that you want to create. A dialog box, specific to the feature you selected, appears. Inspection Planner supports the following features:

    • Point

    • Edge Point

    • Line

    • Plane

    • Circle

    • Cylinder

    • Round Slot

    • Square Slot

    • Sphere

Feature menu

  2. Using the mouse, select the face, edge, or vertex from the CAD display that will be used for the feature. IP may ask you to select with the mouse again, depending on the type of feature you are defining and the CAD object first selected. The Open Feature dialog box will display the correct values provided from the CAD data. You can edit these values as needed.

  3. Click the OK (the green check mark) button to accept your changes and create the feature. This feature will be added to the Inspection Planner tree as well as to the currently active plan.

You must create an Inspection Plan before you can create any features.


Creating a Point Feature

  1. Select Point menu item from the Feature sub-menu.

  2. The IP Point dialog box appears.

  3. Indicate the location of the point feature by clicking on any surface. IP will put the XYZ coordinate and IJK vector information for the point into the dialog box.

IP Point dialog box

  4. Change the values for the XYZ coordinates and the IJK vector values as needed. If you change the values, then the values no longer reflect the model geometry. You must select the Find button to find the closest point on the geometry before you can create the point.

  5. Clicking Flip Vector will reverse the direction of the vector.

  6. Clicking Clear will clear the values from the dialog box.

  7. Change the ID if needed.

  8. Select the Sample Hits check box if you want samples hits taken during the measurement of this feature.

  9. Click OK (green check mark) to accept the current values and add the point feature to the current Inspection Plan.


Creating a Line Feature

  1. Select the Line menu item from the Feature sub-menu.

  2. The IP Line dialog box appears.

  3. Indicate the location of the start point of the line feature by clicking the first point on any surface. IP inserts that start point location into the dialog box.

  4. Indicate the location of the end point of the line feature by clicking a second point on any surface. IP inserts that end point location into the dialog box.

IP Line dialog box

  5. Change the values for the XYZ coordinates and the IJK vector values as needed.

  6. Selecting Flip Vector will reverse the direction of the vector.

  7. Selecting Clear will clear the values from the dialog box.

  8. Change the ID if needed.

  9. Click OK (green check mark) to accept the current values and add the line feature to the current Inspection Plan.


Creating an Edge Point Feature

  1. Select the EdgePoint menu item from the Feature sub-menu.

  2. The IP Edge Point dialog box appears.

  3. Indicate the location of the edge point feature by clicking on any surface near an edge. The point will snap to the nearest edge of the surface. IP inserts the point’s location into the dialog box.

IP Edge dialog box

  4. Change the values for the XYZ coordinates and the IJK vector values as needed.

  5. Selecting Flip Vector will reverse the direction of the vector.

  6. Selecting Clear will clear the values from the dialog box.

  7. Change the ID if needed.

  8. Click OK (green check mark) to accept the current values and add the edge point feature to the current Inspection Plan.


Creating a Plane Feature

  1. Select Plane menu item from the Feature sub-menu.

  2. The IP Plane dialog box appears.

  3. Indicate the location of the plane feature by clicking any surface. IP inserts the plane’s location and vector data into the dialog box.

IP Plane dialog box

  4. Change the values for the XYZ coordinates and the IJK vector values as needed.

  5. Clicking Flip Vector will reverse the direction of the vector.

  6. Clicking Clear will clear the values from the dialog box.

  7. Change the ID if needed.

  8. Click OK (green check mark) to accept the current values and add the Plane feature to the current Inspection Plan.


Creating a Cylinder Feature

  1. Select Cylinder menu item from the Feature sub-menu.

  2. The IP Cylinder dialog box appears.

  3. Indicate the location of the cylinder feature by clicking the cylindrical surface of a cylinder. IP inserts the cylinder’s XYZ and IJK information into the dialog box.

IP Cylinder dialog box

  4. Change the values for the XYZ coordinates and the IJK vector values as needed.

  5. Selecting Flip Vector will reverse the direction of the vector.

  6. Specify the Diameter and Height of the cylinder.

  7. Selecting Clear will clear the values from the dialog box.

  8. Change the ID if needed.

  9. Select either Hole or Stud to determine whether it’s an internal or external cylinder.

  10. Click OK (green check mark) to accept the current values and add the Cylinder feature to the current Inspection Plan.


Creating a Circle Feature

  1. Select Circle menu item from the Feature sub-menu.

  2. The IP Circle dialog box appears.

  3. Indicate the location of the circle feature by clicking a circular edge or cylindrical surface of the circle feature. IP inserts the circle’s XYZ center and IJK vector into the dialog box.

IP Circle dialog box

  4. Change the values for the XYZ coordinates and the IJK vector values as needed.

  5. Selecting Flip Vector will reverse the direction of the vector.

  6. Type the Diameter of the circle.

  7. Selecting Clear will clear the values from the dialog box.

  8. Change the ID if needed.

  9. Select either Hole or Stud.

  10. Click OK (green check mark) to accept the current values and add the Circle feature to the current Inspection Plan.


Creating Round or Square Slot Features

  1. Select either Round Slot or Square Slot from the Feature sub-menu.

  2. The IP Slot dialog box appears. The selected slot type will be selected based on the menu item that was clicked. You can change the slot type inside the dialog box as well.

  3. Indicate the location of the slot by selecting the face that the slot is cut out of. Select near the edge of the slot. IP will insert the center point and vector information into the dialog box.

IP Slot dialog box

  4. Change the values for the XYZ coordinates and the IJK normal vector values as needed.

  5. Change the values for the IJK orientation vector values as needed.

  6. Selecting Flip Vector will reverse the direction of the normal or orientation vectors.

  7. Specify the Width and Length of the slot.

  8. Select either Round or Square Slot.

  9. Selecting Clear will clear the values from the dialog box.

  10. Change the ID if desired

  11. Select either Hole or Stud.

  12. Click OK (green check mark) to accept the current values and add the Slot feature to the current Inspection Plan.


Creating a Sphere Feature

  1. Select Sphere menu item from the Feature sub-menu.

  2. The IP Sphere dialog box appears.

  3. Indicate the location of the sphere by clicking a circular edge or spherical face of the sphere. IP calculates the sphere’s location and vector from where you clicked.

IP Sphere dialog box

  4. Change the values for the XYZ coordinates and the IJK vector values as needed.

  5. Selecting Flip Vector will reverse the direction of the vector.

  6. Type a Diameter for the sphere.

  7. Selecting Clear will clear the values from the dialog box.

  8. Change the ID if needed.

  9. Select either In or Out to specify whether or not the feature is an internal or external sphere.

  10. Click OK (green check mark) to accept the current values and add the Sphere feature to the current Inspection Plan.


Constructing Datum Features

If you want to construct datum features, you can use the Datum menu option,

  1. Select Datum from the Inspection Planner menu.

  2. The IP Datum feature dialog box appears.

IP Datum feature dialog

  3. Specify the datum by:

  • Selecting the datum from the graphic window, or…

  • Selecting the IP features to be included in this IP datum feature by selecting them from the feature list at the bottom of the dialog box.

  4. Change the Datum Letter if needed.

  5. Click OK to add the Datum feature to the Inspection Plan.


Creating Alignments

The Alignment sub-menu provides you with menu items to create, rotate, and translate alignments.

Alignment menu.

More:

Creating Alignm ents

Rotating Alignments

Translating Alignments


Creating New Alignments

Once you have created your features, you can create or modify alignments.

  1. Select New from the Alignment menu.

  2. The IP Alignment dialog box appears.

IP Alignment dialog box

  3. If needed, type an ID for this alignment in the Label box.

  4. In the Primary alignment section, indicate the axis you want to Level to for the primary alignment IP feature. Select the proper axis from the drop-down list. The default axis is ZPLUS.

  5. Select the primary alignment IP feature by selecting the proper feature in the Datum / Feature list. Click in the Primary Feature box, and then press your keyboard’s Enter key.

  6. In the Secondary alignment section, indicate the axis to Rotate to and the axis to rotate About for the secondary alignment IP feature. Select the proper axes in the drop-down lists.

  7. Select the secondary alignment IP Feature by selecting the proper feature in the Datum / Feature list. Click in the Secondary Feature box then press your keyboard’s Enter key.

  8. As you select the primary and secondary IP features, they are also set, as appropriate, in the X, Y, and Z Origin boxes.

  9. Selecting Clear will clear the values from the dialog box.

  10. Any of the IP features can be changed by selecting the proper feature in the Datum / Feature list. Simply click in the Feature box then press the Enter key.

  11. Click OK to accept the current values and add the IP Alignment command to the current Inspection Plan.


Rotating Alignments

You can rotate your Inspection Plan’s current alignment by a specified angle.

  1. Select Rotate from the Alignment menu.

  2. The Rotate Alignment dialog box appears.

Rotate Alignment dialog box

  3. If needed, type an ID for the alignment you want to rotate in the Label box.

  4. Type the angle of the rotation in the Angle box.

  5. Select the axis (X, Y, or Z) you want to rotate about in the Axis box.

  6. Click OK to accept the current values and add the Rotate Alignment command to the current Inspection Plan.


Translating Alignments

You can translate (or move) your Inspection Plan’s current alignment by an offset distance.

  1. Select Translation from the Alignment menu.

  2. The Translate Alignment dialog box appears.

Translate Alignment dialog box

  3. If needed, type an ID for the alignment you want to translate in the Label box.

  4. Type the values for the translation along the X, Y, or Z axes in the Distance box.

  5. Specify which axes direction to move along by selecting Move in the X direction, Move in the Y direction, or Move in the Z direction.

  6. Click OK to accept the current values and add the Translate Alignment command to the current Inspection Plan’s alignment.


Constructing GD&T Features

If you want to construct features from tolerances (GD&T), you can use the GD&T Selection menu option,

  1. Select GD&T Selection from the Inspection Planner menu.

  2. Select a GD&T feature from the graphic window.

  3. The IP GD&T dialog box appears. The feature for the GD&T feature will be highlighted in the feature list.

IP GD&T dialog box

  4. If needed, type an ID for this alignment in the Label box.

  5. You may change the associated feature by selecting a new feature from the Features list.

  6. Click OK to add the GD&T constructed feature to the Inspection Plan.


Creating Location Dimensions

If you want to create a location dimension for a feature, you can use the Location menu option.

  1. Select Location from the Inspection Planner menu.

  2. The IP Location dialog box appears.

IP Location dialog box

  3. Select the IP feature to be used for this IP Location from the model window or by selecting it from the feature tree. IP adds it to the Feature box.

  4. When you select the IP feature, IP uses the appropriate default axes. For example, if you select IP point, then the IP selects the X, Y, Z, and T Vector axes.

  5. For each axis selected, type appropriate positive and negative tolerances. There is a different set of positive and negative tolerances for each axis. Select the needed Axis from the drop-down box and change the values in the + Tol and –Tol boxes.

  6. If the same tolerances are wanted for more than one axis, click the Set Tolerance to ALL button. This sets the specified tolerances for all selected axes.

  7. If more than one IP Location command will be created, then click the Set Default Tolerances button. This sets the default tolerances for all axes to the currently specified values. Next time a new IP Location is created, it will start out with the default tolerance values that were set.

  8. Click OK to accept the current values and add the IP Location command to the current Inspection Plan.


Constructing Features

If you want to construct features from other features, you can use the Construction menu option.

  1. Select Construction from the Inspection Planner menu.

  2. The Constructed Feature dialog box appears.

Constructed Feature dialog box

  3. Select the IP features to be included in this IP Construction Feature by selecting them from the Feature list.

  4. Select the feature type to construct from the Feature Type drop down list and select the type of operation to be performed for that feature from the Operation drop down list.

See “Appendix A: Constructed Features” for more information about the construction operations that can be performed and the related feature types that can be created.

  5. Click OK and the Constructed feature will be added to the Inspection Plan.


Inserting Comments

Comments come in three types: Operator, Programmer, or Report. This allows you to insert a specific type of comment into your Inspection Plan, providing instructions to operators, programmer notes, or notes that will show up on your Inspection Plan reports.

  1. Select Comment from the Inspection Planner menu

  2. The IP Comment dialog box appears.

IP Comment dialog box

  3. Edit the comment in the Comment box.

  4. Select the type of comment to create: Operator, Report, or Programmer.

  • Operator comments appear as message boxes whenever the resulting part program is executed. They are useful for giving instructions to the operator at the measuring machine.

  • Programmer comments will not be visible to the operator in the resulting part program. But if someone opens up the part program and looks at the code they will be able to see the programmer comments.

  • Report comments send the specified comments into the report that gets generated once the part program finishes execution.

  5. Click OK to accept the current values and add the IP Comment command to the current Inspection Plan.


Using PC-DMIS Inspection Planner for Unigraphics

This topic describes how to install and use PC-DMIS Inspection Planner within Unigraphics. IP allows you to perform various sub tasks needed to create an Inspection Plan that you can either store with your CAD data or export as a text file.

The Inspection Planner option must be enabled on your portlock to use the Inspection Planner capabilities for Unigraphics.

More:

To install the PC-DMIS Inspection Planner

To start the PC-DMIS Inspect ion Plan application

To Create a New PC-DMIS Inspection Plan

Creating Features

Creating Commands for Datum

Creating Alignments

Creating Tolerances

Creating Location Dimensions

Constructing Features

Inserting Comments

Displaying the Inspection Plan

Exporting Your Inspection Plan


Installing Inspection Planner for Unigraphics

Current Help System: Inspection Planner (Embedded) (View Core Help)

To install the PC-DMIS Inspection Planner

To install the PC-DMIS Inspection Planner for access from within the Unigraphics CAD system (NX 2.0 and later), follow this procedure:

  1. Log on to the Wilcox ftp site: ftp.wilcoxassoc.com. Browse to the /InspectionPlanner/Unigraphics/ directory. Enter the directory of the desired version and download the install executable, Install_PCDMIS_370_IPUnigraphics.exe, file to a specified directory on your hard drive.

  2. Double-click on the Install_PCDMIS_370_IPUnigraphics.exe file to begin the installation of IP for Unigraphics. Follow the instructions to install IP for Unigraphics.

The Setup program will verify the proper installation of Unigraphics on your system. It will fail if it does not find the Unigraphics installation.

  3. Start Unigraphics and you should see Inspection Planner… in the Application menu.

The PC-DMIS Inspection Plan application will now be available from within your Unigraphics sessions.


To start the PC-DMIS Inspection Plan application

To start a PC-DMIS Inspection Plan session from within your Unigraphics session, follow this procedure:

  1. Start Unigraphics software.

  2. Open your part file.

  3. Switch to the Inspection Planner application by selecting Application | Inspection Planner…

Start Inspection Planner Application

  4. Inspection Planner launches and the Inspection Planner toolbar appears.

PC-DMIS Inspection Planner Toolbar – only New Plan enabled

Once the PC-DMIS Inspection Planner application launches you may create, list, and edit Inspection Plans.

Except for the New Plan icon, the Inspection Plan menu and the other toolbar icons will remain grayed out until you create an Inspection Plan.


To Create a New PC-DMIS Inspection Plan

To create a PC-DMIS Inspection Plan, follow this procedure:

  1. Start a new Inspection Plan by selecting the Inspection Planner | New menu option or select the New Inspection Plan icon in the toolbar. This displays the IP Name dialog box.

IP Name dialog box

  2. Type the name for the new Inspection Plan and Click OK. This creates a new Inspection Plan and adds the default header information to it. The rest of the Inspection Plan menu and toolbar icons become available for selection.

Active PC-DMIS Inspection Planner Toolbar

If you ever want to start over, select the Inspection Planner | Delete menu option to delete the current Inspection Plan.


Creating Features

Once you have created a new Inspection Plan, you can create features for that plan. To create features, use this general method:

  1. From the Inspection Planner menu, select the Feature sub-menu, and then select the feature that you want to create. A dialog box, specific to the feature you selected, appears. Inspection Planner supports the following features:

    • Point

    • Line

    • Edge Point

    • Plane

    • Cylinder

    • Sphere

    • Circle

    • Round Slot

    • Square Slot

  2. Using the mouse, select the face, edge, or vertex from the CAD display that will be used for the feature. IP may ask you to select with the mouse again, depending on the type of feature you are defining and the CAD object first selected. The Open Feature dialog box will display the correct values provided from the CAD data. You can edit these values as needed.

  3. Click the OK button to accept your changes and create the feature in the Inspection Plan.


Creating a Point Feature

  1. Select Inspection Planner | Feature | Point or the Point icon on the toolbar.

  2. Indicate the location of the point feature by clicking on any surface. The IP Point feature dialog box appears. IP will put the XYZ coordinate and IJK vector information for the point into the dialog box.

IP Point dialog box

  3. Change the values for the XYZ coordinates and the IJK vector values as needed.

  4. Click the Show Point button to display the point 3D CAD view.

  5. Click the Flip Vector button to flip the currently assigned vector.

  6. Click the Sample Hits option if you want sample hits to be taken for the point. These hits are taken around the nominal point.

  7. Select the check boxes next to the X, Y, and Z Axis options to find values along these axes.

  8. Click OK to accept the current values and add the point feature to the current Inspection Plan.


Creating a Line Feature

  1. Select Inspection Planner | Feature | Line or the Line icon on the toolbar.

  2. Indicate the location of the start point of the line feature by clicking the first point on any surface. IP inserts that start point location into the dialog box.

  3. Indicate the location of the end point of the line feature by clicking a second point on any surface. IP inserts that end point location into the dialog box.

IP Line dialog box

  4. Change the values for the XYZ coordinates and the IJK vector values as needed.

  5. Click the Show Point button to display the point 3D CAD view.

  6. Click OK to accept the current values and add the line feature to the current Inspection Plan.


Creating an Edge Point Feature

  1. Select Inspection Planner | Feature | Edge Point or the Edge Point icon on the toolbar.

  2. Indicate the location of the edge point feature by clicking on any surface near an edge. The point will snap to the nearest edge of the surface. The IP Edge Point dialog box appears containing the point’s location.

IP Edge Point dialog box

  3. Change the values for the XYZ coordinates and the IJK vector values as needed.

  4. Click the Show Point button to display the point 3D CAD view.

  5. Click OK to accept the current values and add the edge point feature to the current Inspection Plan.


Creating a Plane Feature

  1. Select Inspection Planner | Feature | Plane or the Plane icon on the toolbar.

  2. Indicate the location of the plane feature by clicking any face. The IP Plane dialog box appears containing the plane’s location and vector data.

IP Plane dialog box

  3. Change the values for the XYZ coordinates and the IJK vector values as needed.

  4. Click the Show Vector button to display the vector 3D CAD view.

  5. Click OK to accept the current values and add the plane feature to the current Inspection Plan.


Creating a Cylinder Feature

  1. Select Inspection Planner | Feature | Cylinder or the Cylinder icon on the toolbar.

  2. Indicate the location of the cylinder feature by clicking the circular edge or cylindrical surface of the cylinder. The IP Cylinder dialog box appears containing the cylinder’s XYZ and IJK information.

IP Cylinder dialog box

  3. Change the values for the XYZ coordinates and the IJK vector values as needed.

  4. Click the Show Feature button to display the Cylinder 3D CAD view.

  5. Type the Diameter and Height of the cylinder.

  6. Select the Type of feature: Hole or Stud.

  7. Click OK to accept the current values and add the cylinder feature to the current Inspection Plan.


Creating a Sphere Feature

  1. Select Inspection Planner | Feature | Sphere or the Sphere icon on the toolbar.

  2. Indicate the location of the sphere by clicking a circular edge or spherical face of the sphere. The IP Sphere dialog box appears containing the sphere’s location and vector information.

IP Sphere dialog box

  3. Change the values for the XYZ coordinates and the IJK vector values as needed.

  4. Click the Show Sphere button to display the Sphere 3D CAD view.

  5. Type a Diameter for the sphere.

  6. Select either In or Out to specify whether or not the feature is an internal or external sphere

  7. Click OK to accept the current values and add the sphere feature to the current Inspection Plan.


Creating a Circle Feature

  1. Select Inspection Planner | Feature | Circle or the Circle icon on the toolbar.

  2. Indicate the location of the circle feature by selecting a circular edge or cylindrical surface of the circle feature. The IP Circle dialog box appears containing the circle’s XYZ center and IJK vector.

IP Circle dialog box

  3. Change the values for the XYZ coordinates and the IJK vector values as needed.

  4. Click the Show Circle button to display the Circle 3D CAD view.

  5. Type the Diameter of the circle.

  6. Select either Hole or Stud to specify whether or not the feature is an internal or external circle.

  7. Click OK to accept the current values and add the circle feature to the current Inspection Plan.


Creating Round Slot or Square Slot Features

  1. Select the Inspection Planner | Feature | Round Slot or Square Slot menu items. Or select the Round or Square Slot icon on the toolbar.

  2. Indicate the location of the round slot by selecting a face or edge of the round slot feature.

  3. IP may ask you to select the opposite edge or face of the round slot.

  4. The IP Slot dialog box appears.

IP Slot dialog box

  5. Change the values for the XYZ coordinates and the IJK vector values as needed.

  6. Click the Show Location button to show the location of the slot 3D CAD view.

  7. Type the Width and Length of the slot.

  8. Select either Round or Square Slot.

  9. Select either Hole or Stud to determine whether the slot is an internal or external slot.

  10. Click OK to accept the current values and add the slot feature to the current Inspection Plan.


Creating Commands for Datum

If your CAD has datum items defined, you can create Inspection Planner commands for them.

  1. Select Inspection Planner | Datum menu or the Datum icon.

  2. The Select Datum Feature dialog box appears.

Select Datum Feature dialog box

  3. Select the appropriate datum symbol from the 3D CAD view.

  4. The IP Datum definition dialog box appears.

IP Datum dialog box

IP highlights the feature associated with the datum in both the 3D CAD view and the Features list in the IP Datum dialog box.

  5. If you want to change the Datum Letter, select the datum letter in the dialog box and enter the new letter.

  6. If you want to change the feature associated with the datum, select the new feature in the Features list. The newly selected feature will be highlighted in the 3D CAD view.

This only changes the feature associated with the datum for the Inspection Plan. It does not affect the datum’s association in the CAD file in any way.

  7. Click OK to add the datum to the Inspection Plan. The associated feature will also be added to the Inspection Plan if it was not already in the plan.


Creating New Alignments

Once you have created your features and datum commands, you can create or modify alignments.

  1. Select the Inspection Planner | Alignment | New menu option, or the New Alignment icon on the toolbar. The IP Align dialog box appears.

IP Align dialog box

  2. If needed, type an ID for this alignment in the Label box.

  3. From the Feature List, select the feature required to Level To. Click in the PRIMARY Feature ID box. Press Enter and IP adds the highlighted feature to the Feature ID box. Choose the needed axis from the Level To box

  4. From the Feature List, select the feature required to Rotate To. Click in the SECONDARY Feature ID box. Press Enter and IP adds the highlighted feature to the Feature ID box. Choose the needed axes from the Rotate To and About boxes.

  5. From the Feature List, select the feature required to establish an Origin. Click in the (X, Y, or Z) Origin box. Press Enter and IP adds the highlighted feature to the specified Origin box. Continue the process until each of the XYZ boxes are filled with the needed features.

  6. Click OK and the specified Alignment will be entered into the current Inspection Plan.

More:

Translating Alignments

Rotating Alignments


Translating Alignments

You can translate (or move) your Inspection Plan’s current alignment by an offset distance.

  1. Select the Inspection Planner | Alignment | Translate menu option, or the Translate Alignment icon on the toolbar. The IP Translate dialog box appears.

IP Translate dialog box

  2. Type the required distance to move the alignment in the Distance box, and select the axis from the Move along axis box.

  3. Click OK and the specified alignment will be translated to the distance specified along the chosen axis and added to the Inspection Plan.


Rotating Alignments

You can rotate your Inspection Plan’s current alignment by a specified angle.

  1. Select the Inspection Planner | Alignment | Rotate menu option, or the Rotate Alignment icon on the toolbar. The IP Rotate dialog box appears.

IP Rotate dialog box

  2. Type the required angle (in degrees) in the Angle box, and select the axis from the Rotate About box.

  3. Click OK, and IP will rotate the Inspection Plan’s alignment about the specified axis


Creating Tolerances

The Tolerance menu option allows you to select GD&T Feature Control Frame symbols to create IP tolerances.

  1. Select Inspection Planner | GDT Selection from the menu.

  2. The Select Tolerance Feature dialog box appears.

Select GDT Tolerance Feature dialog box

  3. Select the appropriate Feature Control Frame symbol from the 3D CAD view.

  4. The IP GD&T definition dialog box appears.

IP GD&T dialog box

IP highlights the feature(s) associated with the tolerance in both the 3D CAD view and the feature list in the IP GD&T dialog box.

  5. If you want to change the Label, select the label in the dialog box and type a new letter.

  6. If you want to change the feature(s) associated with the tolerance, select the new feature(s) in the Features list. The newly selected feature(s) will be highlighted in the 3D CAD view.

This only changes the feature(s) associated with the tolerance for the Inspection Plan only. It does not effect tolerance’s association in the CAD file in any way.

  7. Click OK to add the Tolerance Feature Control Frame to the Inspection Plan. IP also adds the associated feature(s) to the Inspection Plan if not already in the plan.


Creating Location Dimensions

If you want to create a location dimension for any features, you can use the Location menu option.

  1. Select Inspection Planner | Location from the menu or the Location icon from the toolbar. The IP Feature Location dialog box appears showing a list of all the IP features.

IP Feature Location dialog box

  2. Select the feature from the List or select the feature’s label from the 3D CAD view. It will be added to the Feature List box.

  3. When the IP feature is selected from the Feature List, the appropriate default axes will be selected. For example, if an IP point is selected, then the X, Y, Z, and T Vector axes will be selected.

  4. For each axis selected, type appropriate positive and negative tolerances. There is a different set of positive and negative tolerances for each axis. Select the needed Axis from the drop-down box and change the values in the Plus Tolerance and Minus Tolerance boxes.

  5. If the same tolerances are wanted for more than one axis, click the Set Tolerance to ALL button. This sets the specified tolerances for all selected axes.

  6. If more than one IP Location command will be created, click the Set Default Tolerances button. This sets the default tolerances for all axes to the currently specified values. Next time a new IP Location is created, it will start out with the default tolerance values that were set.

  7. Click OK to accept the current values or changes that have been made.


Constructing Features

If you want to construct features from other features, you can use the Construction option.

  1. Select the Inspection Planner | Construction menu option or Construction icon in the toolbar. The IP Feature Construction dialog box appears letting you construct the desired feature from the list of features in the current Inspection Plan.

IP Feature Construction dialog

  2. Select the features that are needed for the construction from the Feature List box.

  3. Select the Feature type to construct from the Feature Type drop down list and select the type of operation to be performed for that feature from the Operation drop down list.

See “Appendix A: Constructed Features” for more information about the construction operations that can be performed and the related feature types that can be created.

  4. Click OK and the Constructed feature will be added to the Inspection Plan.


Inserting Comments

Comments come in three types: Operator, Programmer, or Report. This allows you to insert a specific type of comment into your Inspection Plan, providing instructions to operators, programmer notes, or notes that will show up on your Inspection Plan reports.

If you want to insert comments into the Inspection Plan, select the Inspection Planner | Comment menu option or Comment icon in the toolbar. A Comment dialog box appears.

Comment dialog box

Use the Comment dialog box to select the type of comment (Operator, Report, or Programmer), type the comment, and click OK to insert it into the Inspection Plan.

  • Operator comments appear as message boxes whenever the resulting part program is executed. They are useful for giving instructions to the operator at the measuring machine.

  • Programmer comments will not be visible to the operator in the resulting part program. But if someone opens up the part program and looks at the code they will be able to see the programmer comments.

  • Report comments send the specified comments into the report that gets generated once the part program finishes execution.


Displaying the Inspection Plan

At any time you can display the entire Inspection Plan. To do this, select the Inspection Planner | Show Plan menu option. Your CAD package will display a dialog showing the Inspection Plan.

Inspection Plan display dialog box

The statements include:

  • Header

  • Comments

  • Measured features

  • Datum features

  • Dimensions

  • Alignments

  • Rules

  • Report options

  • You can edit any command by selecting the command line and clicking the Edit button in the display dialog

  • You can delete any command by selecting the command line and clicking the Delete button in the display dialog.

  • You can set the insert position by selecting the command line and clicking the Insert After button in the display dialog. Any new commands will get inserted at that point.

  • You can keep this plan open during the entire planning process.


Exporting Your Inspection Plan

The Inspection Planner | Export menu option, or the Export icon on the toolbar, allows you to specify a text file to which IP will save the current Inspection Plan. You can import this text file into PC-DMIS. See “Importing the Inspection Plan”.


Using Inspection Planner within PC-DMIS

The following topics describe how to use the new functionality added to PC-DMIS for Windows to automatically create a part program from your Inspection Plan. To create your part program you need to do the following:

  • Import the Inspection Plan you exported from your CAD package.

  • Perform an optimization step on the imported plan,

  • Ensure that the probe won’t collide with the part by inserting proper move commands.

Once you have completed these simple tasks, you can then execute your imported inspection plan as a newly created PC-DMIS part program.

If you have problems using the Inspection Planner commands inside PC-DMIS, ensure that there is an InsPlan.dll file located in the directory where you installed PC-DMIS.

Inspection Planner Default File (IPD)

You must have an Inspection Planner Default file, or (IPD) to import an Inspection Plan into PC-DMIS. The "Creating and Modifying an Inspection Planner Default (IPD) file" provides more information on this file.

The IP Measure option must be enabled on your portlock to use the Inspection Planner capabilities that are discussed in this section.

More:

Importing the Inspection Plan

Performing the Path Optimization

Dual Arm Path Optimization

Path Optimization Summary

Void Detection

Automatically Inserting Move Commands


Importing the Inspection Plan

You can import the Inspection Plan and any rules by either importing a CAD file that has the Inspection Plan tied to it, or by importing a previously exported Inspection Plan.

To import the Inspection Plan tied to a CAD model:

  1. Select File | Import and then select the menu item to import that CAD data.

  2. Follow any on-screen instructions.

For specifics on importing CAD data, see the “Using Advanced File Options” section in the main PC-DMIS help file.

To import the textual, exported Inspection Plan:

  1. Display Menu Roadmap Select File | Import | Inspection Plan. An Open dialog box appears letting you select a file with an “.IP” filename extension.

Open dialog box

  2. Browse to the directory containing your Inspection Plan.

  3. Select the Inspection Plan, and click Import.

  4. Follow any on-screen instructions.

  • Select the IPD file that will be applied to the imported Inspection Plan if you have not previously selected it. See the "Creating and Modifying an Inspection Planner Default (IPD) file" topic for more information.

  • If the insertion point is not at the end of the part program, you will be prompted to move the cursor to the end of the part program before continuing.

  • Specify the Optimize Path options and click OK, or click Skip to ignore this step. See the "Performing the Path Optimization" topic for more information. Review the "Path Optimization Summary" and click OK.

  • Specify the options for "Automatically Inserting Move Commands" and click OK to complete this process or click Cancel to skip this step.

Your imported Inspection Plan will be proceeded by a start comment that provides basic information for the imported Inspection Plan (date/time, IP file name with path, IPD file name and path). An end comment is also added to indicate the end of the translated Inspection Plan.


Performing the Path Optimization

Once PC-DMIS finishes importing your inspection plan, you will see that the PC-DMIS edit window contains the commands needed to measure the desired features. Next, you need to optimize the order PC-DMIS takes to measure the features and what tip angles to use and when. This is called a “path optimization”.

To perform a path optimization:

  1. Display Menu Roadmap Select Edit | Optimize Path. the Optimize Path dialog box appears.

Optimize Path dialog box

  2. Determine what features you want to optimize. you can choose the All Features option button or the Selected Features option from the Fe atures Range area. All Features sorts all the features, S elected Features only sorts those features selected in the edit window.

The Se lected Features option only becomes enabled if you select multiple features from the edit window before accessing the Op timize Path dialog box.

  3. Choose a feature from the S tarting Feature drop-down list. Path optimization will start from this selected feature.

  4. Decide when to insert dimensions from your inspection plan into the part program by selecting the appropriate options from the Di mensions area. You can insert dimensions at the end of all the measured features by selecting In sert at end or as soon as possible after each measured feature by selecting Ins ert as soon as possible.

  5. Determine whether or not you want to allow PC-DMIS to insert tip changes. If so, select the Ad d Tip Changes check box. The items in the Tip Changes area become enabled for selection and you should follow the bullet list here:

  • Select the Onl y Defined Tips check box if you want PC-DMIS to assign only defined tips to features. If an appropriate tip can not be found to measure a feature, then the feature will be assigned T?A?B?. This feature will be added to the list of Features without tips which is displayed to the user in the summary dialog at the completion of the Optimize Path process. If you clear this check box, PC-DMIS will also use undefined tips. Prior to execution, PC-DMIS will require that you calibrate any undefined tips.

  • Select the Min imize Number of Tips check box if you want PC-DMIS to use a minimal amount of tips to measure the features in your part program. PC-DMIS will only change the tip’s angle when absolutely necessary. A progress bar at the bottom of the dialog box appears when you select this check box.

  • Select the As k if can’t find Tip check box if you want PC-DMIS to prompt you when it cannot determine the optimal tip for a given feature. This will allow you to manually specify the most appropriate tip.

  • Type an angle value into the Co nical Range of Tip Shank box. This determines the conical tolerance for added tip changes. This allows PC-DMIS to utilize a tip that has a shank vector that is within the tolerance of the optimal vector angle for a given feature. For features such as points, lines, and planes there is a built in conical range of 90 degrees since a plane with a vector of 0, 0, 1 could be measured by t1a0b0 or t1a90b0. In the case of these features, PC-DMIS adds the user entered value to the built-in range. The proposed tip angle is also checked by running collision detection (silently) to determine if the tip will actually work.

  • Sort penalty in seconds for: MIP/MIH, PH9/PH10, PHS WRIST – These values in seconds are an approximation of the time taken by a CMM to change tips for various categories of probes. The default penalties mean that all features measured with a given tip will be grouped together and sorted within that tip group. For example, If the penalty were set to zero, this would allow the Optimize Path process to sort features solely based on the distance travelled between features while completely ignoring tip changes.

  • Vision / Sort penalty in seconds for: Magnification Change, Illumination Change – These values in seconds are an approximation of the time taken by a Vision Probe to change magnification or Illumination for a given feature. The default penalties mean that all features that use the same magnification or illumination will be grouped together and sorted within that group. For example, If the penalty were set to zero, this would allow the Optimize Path process to sort features solely based on the distance travelled between features while completely magnification or illumination changes.

  6. Click OK to perform the path optimization; PC-DMIS does the following:

  • Takes the tip vector and the cone tolerance and determines the best tip angle for each feature. For example, the optimal tip angle for a cylinder will be based on the cylinder vector, which may or may not correspond to an exact tip angle.

  • Sorts the features by the tips used to measure them.

  • Determines the best path for the probe to take based on distances between features and the tip change.

  • Adds dimensions either at the end of the program or after each feature.

  • Adds constructed features as soon as possible.

See the "Dual Arm Path Optimization" topic for information on Dual Arm programs.

PC-DMIS will not sort across alignment or loadprobe commands. Additionally, PC-DMIS removes all MOVE/POINT commands, but preserves any motion commands or other parameters that may affect measurement, such as retract distance, prehit distance, etc.

Path Optimization ensures that features that have the RMeas option will not be measured prior to the features to which their measurement is relative.


Dual Arm Path Optimization

Path Optimization for dual arm programs are similar to single arm programs with a few exceptions. The Dual Arms area of the Optimize Path dialog box is enabled and the Starting Feature pull-down list is hidden. To complete Path Optimization for dual arms, follow the procedure described in "Performing the Path Optimization" and then complete the following steps:

  1. Select the Assign Arms check box. The Optimize Path process will assign arms to each of the Selected Features (or All Features ).

    • If all probe hits of a feature can be measured by Arm1, then it will be assigned to Arm1.

    • If Arm1 cannot measure a feature, but Arm2 can reach all of the probe hits that feature, then it is assigned to Arm2.

    • If neither arm can measure the feature, then Arm1 is assigned and the feature is added to the list of Dual Arm Errors / Features that cannot be measured which is displayed to the user in the summary dialog at the completion of the Optimize Path process.

Dual Arms from the Optimize Path dialog box

  2. Specify the Overlap percentage in the %Overlap to use. This controls how the machine volume is divided between the two arms. At 0%, each arm would only be allowed to measure features that are within the half of the machine volume that is accessible to that arm. At 100%, Arm1 would be assigned to all the features.

  3. Click OK to begin the Path Optimization process. This displays the Optimize Path Starting Features dialog box. This allows you to specify the starting feature for each arm

Optimize Path Starting Features dialog box


Path Optimization Summary

Once the Path optimization has completed, the Optimize Path Summary dialog box shows the results of the path optimization.

Optimize Path Summary dialog box

The dialog box reports the following information:

Path Length % Shorter after Optimization – This value refers to the percent reduction of the optimized path length compared to the normal path length. For dual arm machines, it gives a percentage for both arms.

Probe Tip Errors – Features that were not assigned to a probe tip are listed in the Features without tips list. You may need to define new probe tips to ensure that each feature has a tip that can measure it. The Uncalibrated tips list shows the uncalibrated probe tips that you plan to use to measure features in your part program. You may need to calibrate these tips before executing the part program.

Dual Arm Errors – Features that the program was unable to measure by either arm will be included in this list.


Void Detection

Void Detection prevents hits from being taken in empty spaces (such as holes). This functionality has been added to these Auto Features:

  • Auto Vector Point

  • Auto Surface Point

  • Auto Edge Point

  • Auto Line

  • Auto Plane

  • Auto Circle

  • Auto Round Slot

  • Auto Cylinder

Without Void Detection, an auto feature may place hits in holes and other empty spaces in the CAD surface and the part.

PC-DMIS uses void detection if your hardware key (or portlock) has been programmed with the IP measure item. PC-DMIS automatically applies void detection to the generation of the probe hits when you create a supported auto feature by using the parameters from corresponding Auto Feature dialog box (such as # hits, Start Angle and End Angle for an auto circle). Any probe hits that would normally fall into a void are moved so that they reside on the surface of the selected feature, at least, a probe radius distance from any edge of that surface. Requested sample hits for Auto Circles or Auto Cylinders are also automatically generated with void detection.

The following examples show when Void Detection would be useful for accurately and safely measuring an Auto Feature. Hits denoted with an “X” are determined to be Voids and are corrected to the edge of the auto feature surface.

Void Detection for an Auto Plane Feature

Void Detection for an Auto Cylinder Feature


Automatically Inserting Move Commands

Once you import your part program and have finished Path Optimization, you should ensure that when the probe moves to measure your features, it will not collide with your part. Collision Avoidance is accomplished by inserting move commands. To do this, use PC-DMIS’s Auto Insert Move menu option to automatically create clearance moves for a range of features:

Note: Move commands can be placed between the range of features specified, but not prior to the first feature. A clear path is assumed to the probe start position and the first feature.

  1. Display Menu Roadmap Select the Operation | Graphics Display Window | Auto Insert Moves menu option. The Automatically create clearance moves dialog box appears.

Automatically create clearance moves

  2. Select the first feature for the range of features from the Start list.

  3. Select the last feature for the range of features from the End list.

  4. Type a value in the Collision safety box. This value provides a buffer zone around the probe tip so that PC-DMIS considers close misses as collisions.

  5. Type a value in the Insert clearance moves box. This value defines the distance that the probe moves away from the part when it detects a collision while trying to move the probe to the next feature. PC-DMIS attempts to go directly to the next feature, but compensates for collisions by inserting clearance move commands. It continues this process until it defines a collision free path to the next feature. More than one move command may be inserted between features.

  6. Select the Delete existing moves check box if you want to delete any pre-existing move commands in the part program.

For Dual Arm programs, PC-DMIS will insert “Move Exclusive” commands as necessary to guard against the two arms colliding during execution.


Inspection Planner Parameters and Rules

The Inspection Planner Default (IPD) file is used to define the parameters for Inspection Planner within PC-DMIS. This file allows you to determine how to take hits from features within the Inspection Plan. Feature parameters are specified for Auto Features, Constructed Features, and Dimensions. You can also specify how you want to display comments and features.

The Inspection Planner Rules (IPR) script is used to specify rules for how automatic processes are performed on the Inspection Plan. Rules can be modified for certain criteria. For example, the number of hits taken on a circle based upon the diameter of the circle and so forth.

More:

Creating and Modifying an Inspection Planner Default (IPD) file

Inspection Planner Rules (IPR) script


Creating and Modifying an Inspection Planner Default (IPD) file

To create a new IPD file or make changes to an existing IPD file, follow this procedure:

  1. Display Menu Roadmap Select the Edit | Preferences | Inspection Plan Defaults menu option. The Modify Default Parameters dialog box appears.

The Modify Default Parameters dialog box is password protected if password protection has been enabled for other settings in PC-DMIS. See the "Setup Options: General Tab" topic in the core PC-DMIS help file for more information.

Modify Default Parameters – Inspection Planner Default File

  2. From the Default Parameters File Name drop-down select or browse to the file you want to modify or open. Click Browse… to open a select file dialog box if the IPD file is not already listed.

File Name list box - IPD

  3. Click the Open button to modify or open an existing IPD file. Or if you want to create a new IPD file, click Create. The Default Parameters dialog box opens for the selected or new IPD file.

Default Parameters for IP

  4. To edit a parameter, from the right column, click on that parameter’s value. A drop-down list becomes visible.

  5. Select the drop down list, and finally choose a different value. These values may represent distance, amount, or some measured value. You can select values from option lists or toggle fields.

  • Option lists provide a list of choices relevant to the associated item.

  • Toggle fields provide only two choices, such as ON/OFF, YES/NO, or TRUE/FALSE.

  6. Click the Sort check box if you want to sort the List of properties alphabetically.

  7. Click the Collapse/Expand All button to collapse or expand the List of properties.

  8. Click OK to open the Save As dialog box, or Cancel to abort any changes that have been made.

  9. Click Save to save the IPD file.

  10. Click Set as Default if you want to make the file listed in the Default Parameters File Name box the default file.

  11. Click Exit when finished.


Inspection Planner Rules (IPR) script

IPR scripts are basic scripts that determine how features are measured within your part program. This script is applied as your Inspection Plan is imported into your part program.

The PC-DMIS Basic Script Editor can be used to create IPR scripts.

Basic Script Editor containing sample code for IP rules

The example in the above figure shows rules that will change the number of hits that are taken depending on the diameter of the circle.

To make changes to the Inspection Planner Rules (IPR) script, follow this procedure:

  1. Display Menu Roadmap Select the Edit | Preferences | Inspection Plan Defaults menu option. The Modify Default Parameters dialog box appears.

The Modify Default Parameters dialog box is password protected if password protection has been enabled for other settings in PC-DMIS. See the "Setup Options: General Tab" topic in the core PC-DMIS help file for more information.

Modify Default Parameters – Rules Scripts Section

  2. Select the Use Rules Script check box.

  3. From the Rules Script File Name drop-down select or browse to the file you want to modify. Click Browse… to open a select file dialog box if the IPR file is not already listed.

File Name list box - IPR

  4. Click Open to modify an existing IPR file or click Create to open the default IPR script. This will open the selected file in the Basic Script Editor. When using Create a new script will be populated with a default IPR script inside of the Basic Script Editor.

  5. Edit your IPR script using the Basic Script Editor.

  6. Click the Save Icon [image] to save your finished script.

  7. Click Close [image] to exit the Basic Script Editor.

Setting the Default IPR Script

  1. Display Menu Roadmap Select the Edit | Preferences | Inspection Plan Defaults menu option. The Modify Default Parameters dialog box appears.

  2. From the Rules Script File Name drop-down select or browse to the needed file.

  3. Click Set as Default to make the file listed in the Rules Script File Name box the default file.

  4. Click Exit when finished.


Appendix A: Constructed Features

Current Help System: Inspection Planner (Embedded) (View Core Help)

Appendix A: IP - Constructed Features

This section in the Inspection Planner documentation provides guidelines and information about the construction of features. For each CAD package, you have the ability to construct features based on existing Inspection Plan features.

The list below shows available construction operations. It discusses possible feature types under each operation section.

  1. Best Fit - Constructs a Best Fit feature from the inputs. Using the Best Fit operation, you can create a line, plane, circle, cylinder, cone, or sphere. The following table lists how many inputs you will need to construct your feature.

Best Fit Feature To Construct | Number of Input Features Needed
Line | 2
Plane | 3
Circle | 3
Cylinder | 6
Cone | 6
Sphere | 5

  2. Best Fit with Recomp- Constructs Best Fit with Recomp feature using inputs. At least one input must be a point Using the Best Fit with Recomp operation you can create a line, plane, circle, cylinder, cone, or sphere. The following table lists how many inputs you will need to construct your feature.

Best Fit Recomp Feature To Construct | Number of Input Features Needed
Line | 2
Plane | 3
Circle | 3
Cylinder | 6
Cone | 6
Sphere | 5

Best Fit and Best Fit with Recomp cylinders can be constructed from two circles. The input circles must be of type Constructed Best Fit (BF), Best Fit Recompensate (BFRE), or Measured circles. The total amount of hits in each circle must be at least three.

  3. Cast - Constructs the specified feature type at centroid of the input feature. Only one input feature of any type is needed. Using the Cast operation you can create a point, line, plane, circle, cylinder, cone, or sphere.

  4. Drop – Constructs a point feature when first feature is dropped onto the second line feature. Two input features are needed. The 1st feature can be any type. The 2nd feature must be a cone, cylinder, line, or slot.

  5. Intersect - Constructs the specified feature intersection of the 2 input features. Using the Intersect operation, you can create a point, line, or circle.

  • Intersect Point - Constructs a point at the intersection of the linear attributes of 2 features. The input types for either input feature should be a circle, cone, cylinder, line or slot.

  • Intersect Line – Constructs a line at the intersection of two planes. The input features must be planes.

  • Intersect Circle – Constructs a circle at the intersection of a circle, cone, cylinder, or sphere feature with a plane, cone or cylinder feature.

  6. Mid - Constructs a point, line, or plane midway between the two input features..

  • Midpoint or Midplane – Constructs the point or plane feature midway between the centroids of any input feature.

  • Midline – Constructs the line midway between line, cone, cylinder, slot, or plane input features.

  7. Offset - Constructs the specified feature based on the centroids of the input features and moved by the offset distance specified. The offset distance is given in terms of XYZ values. Using the Offset operation, you can create a point, line, or plane. The following table lists how many inputs you will need to construct your feature.

Offset Feature To Construct | Number of Input Features Needed
Point | 1
Line | 2
Plane | 3

  8. Origin - Constructs a point, line, or plane at the alignment origin. No input features are needed.

  9. Parallel - Constructs a line or plane feature parallel to first input feature and passing through the second input feature.

  10. Perpendicular - Constructs a line or plane feature perpendicular to first input feature and passing through second input feature.

  11. Pierce - Constructs a point feature where the 1st input feature pierces the 2nd input feature. The order that the input features are selected is important. The 1st feature can be a cone, cylinder, line, slot, circle or ellipse. The 2nd feature can be a cone, cylinder, plane, sphere, circle or ellipse. If the 1st feature is a line, than the direction is important.

  12. Project – Constructs a point, line, plane, circle, cylinder, cone, or sphere onto the selected plane, or the current work plane, when no plane is specified.

  13. Reverse - Constructs a line, plane, circle, cylinder, cone or sphere with the same centroid and the same feature type as the input feature with the vector reversed.


Appendix B: Using the Generic Parser to Import ASCII Files

The Generic Parser (GP) is designed to parse the ASCII output from other CMM systems (like Metrolog). The ASCII output (file) may contain file header, comments, feature commands, file footer, etc. As long as the info is written line by line in the ASCII file, GP can parse it according to the user-defined rules provided through the Rule Set Wizard. After parsing it, GP will make calls to Inspection Planner to translate all the filtered-through info (like feature commands) and import into the active part program.

Note: Nine PC-DMIS feature types are supported by GP because they are also supported by Inspection Planner. The supported features are: POINT, EDGEPOINT, LINE, PLANE, CIRCLE, CYLINDER, SPHERE, SQSLOT (Square Slot) & RDSLOT (Round Slot). See "Step 3: Feature Field Assignment and Mapping" topic.

To begin importing an ASCII file as an Inspection Plan:

  1. Display Menu Roadmap Select File | Import | ASCII File. An Open dialog box appears letting you select the needed ASCII file.

  2. Browse to the directory containing your ASCII file.

  3. Select the ASCII file, and click Import.

The Importing dialog box for your ASCII file opens. Create a rule set and complete process of parsing your ASCII file with the following steps:

  • Importing an ASCII File

  • Step 1: Excluding Data

  • Step 2: Defining Delimiters

  • Step 3: Feature Field Assignment and Mapping

  • Previewing Your ASCII File


Importing an ASCII File

Importing dialog box for selected ASCII file

The Importing dialog box allows you to create, edit, add, or delete rule sets that can be used to evaluate your ASCII file. The selected rule set determines which information will be imported into your part program. Use the following options to select and apply rules for parsing your ASCII file.

Create - Opens Step 1 of the Rule Set Wizard. See "Step 1: Creating a Rule Set". Values of the selected Rule Set will be displayed, but if no Rule Set is selected, then no values will be displayed.

Edit - Allows you to edit the rule set selected from the Rule Set List.

Add - Browse via an Open dialog box and click Open to add a preexisting rule set. The rule set file will be copied into the designated rule file directory and a new entry will be displayed in the list box

Delete - Removes the selected rule set from the Rule Set List.

Set as default - Set the default rule set that will highlighted from the Rule Set List. This rule set will be used unless another rule set is selected. If no rule set is newly selected, the last used rule set is set as the default and is highlighted in the list box. The next time that you import an ASCII file the default rule set is highlighted.

Import to Part Program - The opened ASCII file is imported into the current part program:

  • Directly - Imports the ASCII file using the selected rule set without using the Rule Set Wizard.

  • By wizard - Opens Step 1 of the Rule Set Wizard. When you click finish on Step 3, the file will be imported using any newly specified rules.

Cancel - Aborts the ASCII Import process

All rule set files are stored in the same directory designated by the GP. The directory is named “AscImportRules”, where the rule set files are named “*.ascimportrule”.


Step 1: Excluding Data

The Rules for parsing lines provided in this step determines which lines of your ASCII file will included for importing into your part program. Use the following options to exclude data from import:

Rule Set Wizard - Step 1

Skip file header - When this option is selected the specified Number of lines from the top of the ASCII file will be skipped. Therefore they will not be evaluated or imported into your part program.

Skip file footer - When this option is selected the specified Number of lines from the bottom of the ASCII file will be skipped. Therefore they will not be evaluated or imported into your part program.

For lines containing - Lines containing the text specified to the right will be evaluated on the following criteria:

Note: Qualifying search text is CASE specific

  • Skip the entire line - Entire line is excluded from being evaluated if qualifying text is present.

  • Truncate the strings after - Anything after the qualifying text will be excluded from being evaluated.

  • Truncate the strings before - Anything before the qualifying text will be excluded from being evaluated.

  • Truncate the strings until - Anything after the first qualifying text and prior to the text specified to the right of this option will be excluded from being evaluated.

Important: Use Add and Remove to update the criteria to the table on the right side of this dialog box. Multiple criteria can be used to evaluate your ASCII file.

Preview and Refresh - See the "Previewing the ASCII File" topic.

Next - Continue with Step 2.

Cancel - Returns to the Importing dialog box.


Step 2: Defining Delimiters

The Delimiter information provided in this step determines the columns for each of the parsed lines. Use the following options to parse your data and define units:

By column - Use this option for ASCII files that use fixed lengths for fields. This allows you to separate each field based on the length of the field. This may require a little trial and error to define the correct lengths for each field.

Delimiters - By column

  • Add - Specify the Beginning and Ending characters of the field and click Add. The next column number will be assigned with a the Beginning and Ending values. Continue this process of adding columns until all the needed data is included in the appropriate columns.

  • Remove - Select the column you need to remove and click Remove. The column is removed from the list.

  • Change - Select the column you need to change, alter the Beginning and Ending values for the column and click Change. The column is updated with the new information.

By character - Use this option for ASCII files where fields are separated by tabs, spaces, commas or other characters. Select the separating character, tab or space.

Delimiters - By character

  • Specific character - Select this option and specify the one or more Specific characters that separate the fields in your ASCII file. Type the desired character and click Add to add it to the Character List. Select a character from the Character List and click Remove to remove a character.

  • Tab- Select this option and click Add if the fields of your ASCII file are separated by tabs. Tab is added to the character list.

  • Space(s) - Select this option and click Add if the fields of your ASCII file are separated by one or more spaces. Space is added to the character list.

Unit - This area is used to specify the units that are used for measured values:

  • MM - Millimeter

  • CM - Centimeter

  • DM - Decimeter

  • Inch - Inch

Preview and Refresh - See the "Previewing the ASCII File" topic.

Back - Returns to Step 1.

Next - Continue with Step 3.

Cancel - Returns to the Importing dialog box.


Step 3: Feature Type Mapping and Field Assignment

This step allows you map Feature Types to the features in your ASCII file. Additionally you can assign the field names to the delimited columns.

Rule Set Wizard - Step 3

Feature Type - Select the checkbox(es) of the feature type(s) that are to be imported. All of the available feature types are provided in the Feature Type list.

To map the feature type name:

  1. Select the feature type to highlight the line.

  2. Click in the list box under the heading "In ASCII file" on the same highlighted line.

  3. Type the feature type name exactly as it appears in the ASCII file in the edit box. For example, the circle feature type name is "FEAT/CIRCLE" the example shown above.

Note: Without a feature type name defined in the ASCII file, there is NO way to differentiate which feature is point, circle, etc. if there are multiple feature types in the file. However, if there is only one feature type in the ASCII file, it is not necessary that the feature type name exists in the file, so the user does not have to specify it. The user just needs to check the check box to the left of the feature type and GP will apply that feature type to all of the lines in the ASCII file.

Feature Fields - The available fields for the selected Feature Type are displayed for assignment. Each field represents a valid PC-DMIS value for the selected feature type.

To assign a feature fields to the columns of the ASCII file:

  1. Select a Feature Type.

  2. Select the needed field name(s) from the Field List. To select consecutive fields, click the first item, press and hold down SHIFT, and then click the last item. To select nonconsecutive fields, press and hold down CTRL, and then click each item.

  3. Click Add to add the field name to the list box on the right.

Note: You may also ADD or REMOVE fields by double-clicking the item in the Field List or the list box on the right.

  4. Use the UP and DOWN arrows to ensure that the field values appear in the order that the corresponding values appear in the ASCII file.

  5. Select any unneeded field(s) from the list on the right and click Remove to remove that field name(s). To select consecutive fields, click the first item, press and hold down SHIFT, and then click the last item. To select nonconsecutive fields, press and hold down CTRL, and then click each item.

Note: PC-DMIS may not accept certain fields in the ASCII file that may be proprietary to a third-party CMM system provider's software. For such a field, the user can add the field called “Skip” to inform the GP to skip the column that contains this field.

Preview and Refresh - See the "Previewing the ASCII File" topic.

Back - Returns to Step 2.

Finish - This button will function according to how the Rule Set Wizard was started.

  • Create - The Create new rule set dialog box is opened. Provide the name of the new rule set in the Rule Set Name box.

  • Edit - The Rule Set Wizard is closed and any changes are applied to the rule set file.

  • Import to Part Program (By wizard) - The rule set is applied and the parsed ASCII file is imported into PC-DMIS as an Inspection Plan. If any changes have been made to the rule set, then you will also be prompted to save your changes.

Cancel - Returns to the Importing dialog box.


Previewing the ASCII File

As you make changes in each step of the Rule Set Wizard you can preview the affect that the rules will have on your ASCII file.

Preview - Selecting this checkbox will display the results of the evaluated file.

Refresh - Updates the view of your file based on the changes that you have made to the evaluation criteria.

No Rule Set Applied

Below is an example Preview of an ASCII Inspection Plan file where no rules have been applied. Any ASCII file that contains features can be used to import.

Note: The file used as an example is an Inspection Plan from SolidWorks with a .ip extension. The Generic Parser can work with any ASCII file with any extension.

ASCII File with NO Rules applied

Application of Step 1 of Rule Set Wizard

Below is an example of the ASCII file after the values shown in Step 1 were defined and Refresh was clicked. Lines 1, 2, 14 & 15 are excluded based on the defined criteria.

ASCII File with Step 1 Rules applied

Application of Step 2 of Rule Set Wizard

Below is an example of the ASCII file after the values shown in the By character area in Step 2 were defined and Refresh was clicked. Columns have been added based on the comma separator (Col1-Col14).

ASCII File with Step 2 Rules applied

Application of Step 3 of Rule Set Wizard

Below is an example of the ASCII file after the features types and field names have been assigned in Step 3 and Refresh was clicked. Feature types have been assigned based on the Feature Type field (Col1). Lines that have been successfully assigned to be imported as a feature type are displayed with blue text.

ASCII File with Step 3 Rules applied


IP

Current Help System: Inspection Planner (Embedded) (View Core Help)

This is the acronym for PC-DMIS Inspection Planner.


IP Popup

Current Help System: Inspection Planner (Embedded) (View Core Help)

PC-DMIS Inspection Planner, or IP, only works with PC-DMIS Version 3.6 and above.


IPD

This is the acronym for Inspection Planner Defaults. Defaults are defined in a file that contains the parameters that are applied to the Inspection Plan.


IPR

Current Help System: Inspection Planner (Embedded) (View Core Help)

This is the acronym for Inspection Planner Rules. A rules script is created using Basic Script Editor within PC-DMIS. Rules are applied to the Inspection Plan.